Loading...
Searching...
No Matches
pcl::Region3D< PointT > Class Template Reference

Region3D represents summary statistics of a 3D collection of points. More...

`#include <pcl/segmentation/region_3d.h>`

Inheritance diagram for pcl::Region3D< PointT >:

## Public Member Functions

| Region3D ()
| Empty constructor for Region3D.
| Region3D (Eigen::Vector3f &centroid, Eigen::Matrix3f &covariance, unsigned count)
| Constructor for Region3D.
virtual | ~Region3D ()=default
| Destructor.
Eigen::Vector3f | getCentroid () const
| Get the centroid of the region.
Eigen::Matrix3f | getCovariance () const
| Get the covariance of the region.
unsigned | getCount () const
| Get the number of points in the region.
float | getCurvature () const
| Get the curvature of the region.
void | setCurvature (float curvature)
| Set the curvature of the region.

## Protected Attributes

Eigen::Vector3f | centroid_
| The centroid of the region.
Eigen::Matrix3f | covariance_
| The covariance of the region.
unsigned | count_
| The number of points in the region.
float | curvature_ {0.0f}
| The mean curvature of the region.

## Detailed Description

template<typename PointT>
class pcl::Region3D< PointT >

Region3D represents summary statistics of a 3D collection of points.

Author
  Alex Trevor

Definition at line 51 of file region_3d.h.

## Constructor & Destructor Documentation

## Region3D() [1/2]

template<typename PointT>

pcl::Region3D< PointT >::Region3D | ( |  | ) |

inline

Empty constructor for Region3D.

Definition at line 55 of file region_3d.h.

References centroid_, count_, and covariance_.

## Region3D() [2/2]

template<typename PointT>

pcl::Region3D< PointT >::Region3D | ( | Eigen::Vector3f & | centroid,
|  | Eigen::Matrix3f & | covariance,
|  | unsigned | count )

inline

Constructor for Region3D.

Parameters

  [in] | centroid | The centroid of the region.
  [in] | covariance | The covariance of the region.
  [in] | count | The number of points in the region.

Definition at line 64 of file region_3d.h.

References centroid_, count_, and covariance_.

## ~Region3D()

template<typename PointT>

virtual pcl::Region3D< PointT >::~Region3D | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## getCentroid()

template<typename PointT>

Eigen::Vector3f pcl::Region3D< PointT >::getCentroid | ( |  | ) | const

inline

Get the centroid of the region.

Definition at line 74 of file region_3d.h.

References centroid_.

## getCount()

template<typename PointT>

unsigned pcl::Region3D< PointT >::getCount | ( |  | ) | const

inline

Get the number of points in the region.

Definition at line 88 of file region_3d.h.

References count_.

## getCovariance()

template<typename PointT>

Eigen::Matrix3f pcl::Region3D< PointT >::getCovariance | ( |  | ) | const

inline

Get the covariance of the region.

Definition at line 81 of file region_3d.h.

References covariance_.

## getCurvature()

template<typename PointT>

float pcl::Region3D< PointT >::getCurvature | ( |  | ) | const

inline

Get the curvature of the region.

Definition at line 95 of file region_3d.h.

References curvature_.

## setCurvature()

template<typename PointT>

void pcl::Region3D< PointT >::setCurvature | ( | float | curvature | ) |

inline

Set the curvature of the region.

Definition at line 102 of file region_3d.h.

References curvature_.

## Member Data Documentation

## centroid_

template<typename PointT>

Eigen::Vector3f pcl::Region3D< PointT >::centroid_

protected

The centroid of the region.

Definition at line 109 of file region_3d.h.

Referenced by getCentroid(), pcl::PlanarRegion< PointT >::PlanarRegion(), pcl::PlanarRegion< PointT >::PlanarRegion(), Region3D(), and Region3D().

## count_

template<typename PointT>

unsigned pcl::Region3D< PointT >::count_

protected

The number of points in the region.

Definition at line 115 of file region_3d.h.

Referenced by getCount(), pcl::PlanarRegion< PointT >::PlanarRegion(), pcl::PlanarRegion< PointT >::PlanarRegion(), Region3D(), and Region3D().

## covariance_

template<typename PointT>

Eigen::Matrix3f pcl::Region3D< PointT >::covariance_

protected

The covariance of the region.

Definition at line 112 of file region_3d.h.

Referenced by getCovariance(), pcl::PlanarRegion< PointT >::PlanarRegion(), pcl::PlanarRegion< PointT >::PlanarRegion(), Region3D(), and Region3D().

## curvature_

template<typename PointT>

float pcl::Region3D< PointT >::curvature_ {0.0f}

protected

The mean curvature of the region.

Definition at line 118 of file region_3d.h.

Referenced by getCurvature(), and setCurvature().

The documentation for this class was generated from the following file:

- pcl/segmentation/region_3d.h